Loading...
Searching...
No Matches
Ogre::TerrainGroup::TerrainSlot Struct Reference

Slot for a terrain instance, together with its definition. More...

`#include <OgreTerrainGroup.h>`

Inheritance diagram for Ogre::TerrainGroup::TerrainSlot:
[legend]

## Public Member Functions

| TerrainSlot (long _x, long _y)
virtual | ~TerrainSlot ()
void | freeInstance ()

## Public Attributes

TerrainSlotDefinition | def
| Definition used to load the terrain.
Terrain * | instance
| Actual terrain instance.
long | x
| The coordinates of the terrain slot relative to the centre slot (signed).
long | y

## Detailed Description

Slot for a terrain instance, together with its definition.

## Constructor & Destructor Documentation

## TerrainSlot()

Ogre::TerrainGroup::TerrainSlot::TerrainSlot | ( | long | _x,
|  | long | _y )

inline

References instance, x, and y.

## ~TerrainSlot()

virtual Ogre::TerrainGroup::TerrainSlot::~TerrainSlot | ( |  | ) |

virtual

## Member Function Documentation

## freeInstance()

void Ogre::TerrainGroup::TerrainSlot::freeInstance | ( |  | ) |

## Member Data Documentation

## x

long Ogre::TerrainGroup::TerrainSlot::x

The coordinates of the terrain slot relative to the centre slot (signed).

Referenced by TerrainSlot().

## y

long Ogre::TerrainGroup::TerrainSlot::y

Referenced by TerrainSlot().

## def

TerrainSlotDefinition Ogre::TerrainGroup::TerrainSlot::def

Definition used to load the terrain.

## instance

Terrain* Ogre::TerrainGroup::TerrainSlot::instance

Actual terrain instance.

Referenced by TerrainSlot().

The documentation for this struct was generated from the following file:

- OgreTerrainGroup.h